com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyUpdate

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyZoneContainer
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyUpdate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPLaunchPolicyUpdate
      extends EPPLaunchPolicyZoneContainer

  Launch Policy Create Extension that enables a client to pass the launch policy information with a registry update command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPLaunchPolicyUpdate`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPLaunchPolicyUpdate`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchPolicyUpdate()` Creates an empty `EPPLaunchPolicyUpdate` object.
    `EPPLaunchPolicyUpdate(EPPLaunchPolicyZone aZone)` Creates a new `EPPLaunchPolicyUpdate` object that will update the launch policy for a zone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocalName()` Returns the local name "update" for the update extension.
    `protected org.apache.log4j.Logger` | `getLogger()` Returns the `Logger` to use in `EPPLaunchPolicyZoneContainer`.

    - ### Methods inherited from class com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyZoneContainer

      `clone, decode, encode, equals, getNamespace, getZone, setZone, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLaunchPolicyUpdate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLaunchPolicyUpdate`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPolicyUpdate

          public EPPLaunchPolicyUpdate()

      Creates an empty `EPPLaunchPolicyUpdate` object. `zone` is set to `null`. Use `setZone` to set `zone` attribute before sending the update command.

    - #### EPPLaunchPolicyUpdate

          public EPPLaunchPolicyUpdate(EPPLaunchPolicyZone aZone)

      Creates a new `EPPLaunchPolicyUpdate` object that will update the launch policy for a zone.
      Parameters:
        `aZone` - Instance of `EPPLaunchPolicyZone` to create

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "update" for the update extension.
      Specified by:
        `getLocalName` in class `EPPLaunchPolicyZoneContainer`
      Returns:
        Local name "update" for the update extension.

    - #### getLogger

          protected org.apache.log4j.Logger getLogger()

      Returns the `Logger` to use in `EPPLaunchPolicyZoneContainer`.
      Specified by:
        `getLogger` in class `EPPLaunchPolicyZoneContainer`
      Returns:
        `Logger` to use